package plugins.atournay.jep;

import icy.plugin.abstract_.Plugin;
import icy.plugin.interface_.PluginLibrary;

import java.util.regex.Pattern;

public class JepPlugin extends Plugin implements PluginLibrary {
    private static JepPlugin instance;


    private JepPlugin() {
    }

    public static JepPlugin getInstance() {
        if (instance == null) {
            instance = new JepPlugin();
        }

        return instance;
    }

    /**
     * @param path The path to test
     * @return The result if the String is really a path (compatible Windows, MacOS &amp; Linux)
     */
    public boolean isPath(String path) {
        if (Pattern.compile("([A-Za-z]:|[/\\\\])+.(\\w)+.*").matcher(path).find()) {
            return true;
        }
        else {
            System.err.println("The input does not correspond to a System path. Please retry.");
            System.out.println();
            return false;
        }
    }
}
